Order
Update Order
Updates the custom_reference and/or custom_metadata for an order. For custom_metadata, keys are merged with existing data. Set a key to null to remove it. Maximum 64 keys allowed in custom_metadata.
PUT
/
orders
/
{orderId}
Update Order
curl --request PUT \
--url https://api.fortiseval.com/v1/orders/{orderId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"custom_reference": "<string>",
"custom_metadata": [
"<string>"
]
}
'import requests
url = "https://api.fortiseval.com/v1/orders/{orderId}"
payload = {
"custom_reference": "<string>",
"custom_metadata": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({custom_reference: '<string>', custom_metadata: ['<string>']})
};
fetch('https://api.fortiseval.com/v1/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"url": "<string>",
"number": "<string>",
"status": "created",
"custom_reference": "<string>",
"custom_metadata": [
"<unknown>"
],
"total": 123,
"currency": "<string>",
"intake_at": "<string>",
"in_progress_at": "<string>",
"on_hold_at": "<string>",
"completed_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"quote_id": "<string>",
"cart": {
"id": "<string>",
"number": "<string>",
"status": "in_progress",
"payment_status": "paid",
"is_individual": true,
"turnaround_type": "standard",
"translation_preference_type": "documents_in_english",
"physical_copy": true,
"cc_emails": [
"<string>"
],
"subtotal": 123,
"total": 123,
"last_activity_at": "<string>",
"unsubscribed_at": "<string>",
"paid_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"documents": [
{
"id": "<string>",
"title": "<string>",
"document_type": "credential_evaluation",
"document_category": "vital",
"document_role": "source",
"file_name": "<string>",
"file_ext": "<string>",
"mime_type": "<string>",
"size": 123,
"page_count": 123,
"word_count": 123,
"character_count": 123,
"source_language_code": "<string>",
"source_language": "<string>",
"metadata": [
"<unknown>"
],
"analysis_completed_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
]
}{
"message": "<string>",
"errors": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Order
The unique identifier for the order (e.g. ord_xxxxx).
The URL to view this order in the Portal.
Available options:
created, in_progress, awaiting_review, completed, refunded, cancelled A custom reference provided by the customer.
Custom metadata attached to the order.
The order total in cents.
The currency code (e.g. "usd").
The associated quote identifier.
The associated cart.
Show child attributes
Show child attributes
The associated documents.
Show child attributes
Show child attributes
Update Order
